export declare class D1Database {
    constructor(binding: any);
    prepare(query: any): D1PreparedStatement;
    dump(): Promise<any>;
    batch(statements: any): Promise<{
        results: any;
        success: any;
        meta: any;
    } | {
        results: any;
        success: any;
        meta: any;
    }[]>;
    exec(query: any): Promise<{
        count: number;
        duration: number;
    }>;
    _send(endpoint: any, query: any, params: any, dothrow?: boolean): Promise<{
        results: any;
        success: any;
        meta: any;
    } | {
        results: any;
        success: any;
        meta: any;
    }[]>;
}
declare class D1PreparedStatement {
    constructor(database: any, statement: any, values: any);
    bind(...values: any[]): D1PreparedStatement;
    first(colName: any): Promise<any>;
    run(): Promise<any>;
    all(): Promise<any>;
    raw(): Promise<any[][]>;
}
export {};
